Payment Statistics
get
Query parameters
typestring · enumOptionalPossible values:
Filter payment statistics by payment type.
networkstringOptional
Filter payment statistics by blockchain network.
pay_currencystringOptional
Filter payment statistics by a specific cryptocurrency symbol.
from_dateintegerOptional
The start of the date window to query for payment statistics in UNIX timestamp format.
to_dateintegerOptional
The end of the date window to query for payment statistics in UNIX timestamp format.
Header parameters
merchant_api_keystringRequired
Your Merchant API Key for authentication and authorization.
Content-TypestringRequiredDefault:
application/jsonResponses
200
Successful operation
application/json
messagestringOptional
A message containing additional information about the result of the request.
statusintegerOptional
The status of the request response. Typically provided as a numeric code.
versionstringOptional
The version of the API being used.
400
Bad request
application/json
get/payment/stats
import requests
url = 'https://api.oxapay.com/v1/payment/stats'
headers = {
'merchant_api_key': 'YOUR_MERCHANT_API_KEY',
'Content-Type': 'application/json'
}
params = {
'type': 'static_address',
'network': 'TRON',
'pay_currency': 'TRX',
'from_date': 1728032999,
'to_date': 1728140762
}
response = requests.get(url, params=params, headers=headers)
result = response.json()
print(result){
"data": {
"list": [
{
"pay_currency": "TRX",
"total": 3,
"received_amount": "2.5990147800"
}
],
"meta": {
"page": 1,
"last_page": 1,
"total": 1
}
},
"message": "Operation completed successfully!",
"error": {},
"status": 200,
"version": "1.0.0"
}Last updated